/*
 * The Initial Developer of the Original Code is International
 * Business Machines Corporation. Portions created by IBM
 * Corporation are Copyright (C) 2005, 2006 International Business
 * Machines Corporation. All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Common Public License as published by
 * IBM Corporation; either version 1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Common Public License for more details.
 *
 * You should have received a copy of the Common Public License
 * along with this program; if not, a copy can be viewed at
 * http://www.opensource.org/licenses/cpl1.0.php.
 */

#ifndef __TPM_QUOTE_H
#define __TPM_QUOTE_H

#define TPMQUOTE_FILE_ERROR -2
#define TPMQUOTE_STD_ERROR -1

enum tpm_errors {
	ENOTSSHDR = 0,
	ENOTSSFTR,
	EWRONGTSSTAG,
	EBADSEEK,
};

#define TPMTSS_HDR_STRING "-----BEGIN TSS-----\n"
#define TPMTSS_FTR_STRING "-----END TSS-----\n"
#define TPMTSS_TSS_STRING "-----TSS KEY-----\n"

#define TPMQUOTE_HDR_STRING "-----BEGIN QUOTE-----\n"
#define TPMQUOTE_FTR_STRING "-----END QUOTE-----\n"
#define TPMQUOTE_SIGNATURE_STRING "-----SIGNATURE-----\n"
#define TPMQUOTE_QUOTE_INFO_STRING "-----QUOTE INFO-----\n"
#define TPMQUOTE_PCRS_STRING "-----PCR VALUESS-----\n"

#define TPMQUOTE_SECRET "password"
#define TPMQUOTE_IV "IBM QUOTIBM QUOT"
#endif
